function _vupdateState(state) {
    _updateInnerHtml('state', state);
}

function _vupdateInfo(info) {
    _updateInnerHtml('info', info);
}

function _updateInnerHtml(name, value) {
    var element = document.getElementById(name);
    if (!element) {
        return;
    }
    element.innerHTML = value;
}

function _vshowBaseLoading() {
    _vshowLoading('base');
}

function _vhideBaseLoading() {
    _vhideLoading('base');
}

function _vshowThirdLoading() {
    _vshowLoading('third');
}

function _vhideThirdLoading() {
    _vhideLoading('third');
}

function _vshowOnlineLoading() {
    _vshowLoading('online');
}

function _vhideOnlineLoading() {
    _vhideLoading('online');
}

function _vshowLoading(id) {
    var element = document.getElementById(id + '_loading');
    if (element) {
        return;
    }
    element = document.getElementById(id);
    if (!element) {
        return;
    }
    var loading = _vcreateLoadingImg(id);
    element.appendChild(loading);
}

function _vhideLoading(id) {
    var element = document.getElementById(id + '_loading');
    if (!element) {
        return;
    }
    element.parentNode.removeChild(element);
}

function _vcreateLoadingImg(id) {
    var element = document.createElement('img');
    element.id = id + '_loading';
    element.className = 'main_loading';
    element.src = 'res/loading.png';
    return element;
}

function _vupdateBaseContent(cid, title, info) {
    _vupdateContent('base', cid, title, info);
}

function _vupdateOnlineContent(cid, title, info) {
    _vupdateContent('online', cid, title, info);
}

function _vupdateThirdContent(cid, title, info) {
    _vupdateContent('third', cid, title, info);
}

function _vupdateContent(id, cid, title, info) {
    var element = document.getElementById(id + '_content_' + cid);
    if (element) {
        var titleElement = document.getElementById(id + '_content_title_' + cid);
        if (titleElement) {
            titleElement.innerHTML = title;
        }
        var resultElement = document.getElementById(id + '_content_result_' + cid);
        if (resultElement) {
            resultElement.innerHTML = info;
        }
        return;
    }
    var rootElement = document.getElementById(id);
    if (rootElement) {
        element = _vcreateContent(id, cid, title, info);
        rootElement.appendChild(element);
    }
}

function _vcreateContent(id, cid, title, info) {
    var element = document.createElement('div');
    element.id = id + '_content_' + cid;
    element.className = 'main_content';
    
    var titleElement = document.createElement('div');
    titleElement.id = id + '_content_title_' + cid;
    titleElement.className = 'main_content_title';
    titleElement.innerHTML = title;
    element.appendChild(titleElement);
    
    var resultElement = document.createElement('div');
    resultElement.id = id + '_content_result_' + cid;
    resultElement.className = 'main_content_result';
    resultElement.innerHTML = info;
    element.appendChild(resultElement);
    
    return element;
}
